<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>RegisterUploadComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-material/register/register-upload/register-upload.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>register-upload</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./register-upload.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./register-upload.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#dataSource">dataSource</a>
                            </li>
                            <li>
                                <a href="#displayedColumns">displayedColumns</a>
                            </li>
                            <li>
                                <a href="#result">result</a>
                            </li>
                            <li>
                                <a href="#uploadInput">uploadInput</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#validated">validated</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#cancelImport">cancelImport</a>
                            </li>
                            <li>
                                <a href="#download">download</a>
                            </li>
                            <li>
                                <a href="#downloadDuplicates">downloadDuplicates</a>
                            </li>
                            <li>
                                <a href="#downloadUndefinedDois">downloadUndefinedDois</a>
                            </li>
                            <li>
                                <a href="#downloadValidationReport">downloadValidationReport</a>
                            </li>
                            <li>
                                <a href="#getReport">getReport</a>
                            </li>
                            <li>
                                <a href="#importRegister">importRegister</a>
                            </li>
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#isValid">isValid</a>
                            </li>
                            <li>
                                <a href="#resetResult">resetResult</a>
                            </li>
                            <li>
                                <a href="#setResult">setResult</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#uploadUrl">uploadUrl</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, registerService: <a href="../injectables/RegisterService.html">RegisterService</a>, snackBar: MatSnackBar, translateService: TranslateService, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, fileService: <a href="../injectables/FileService.html">FileService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:32</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>registerService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RegisterService.html" target="_self" >RegisterService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>fileService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FileService.html" target="_self" >FileService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:29</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cancelImport"></a>
                        <span class="name">
                            <b>
                            cancelImport
                            </b>
                            <a href="#cancelImport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>cancelImport()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="109" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:109</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="download"></a>
                        <span class="name">
                            <b>
                            download
                            </b>
                            <a href="#download"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>download(fileName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, content: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="83" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:83</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>fileName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>content</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadDuplicates"></a>
                        <span class="name">
                            <b>
                            downloadDuplicates
                            </b>
                            <a href="#downloadDuplicates"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadDuplicates()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:60</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadUndefinedDois"></a>
                        <span class="name">
                            <b>
                            downloadUndefinedDois
                            </b>
                            <a href="#downloadUndefinedDois"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadUndefinedDois()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadValidationReport"></a>
                        <span class="name">
                            <b>
                            downloadValidationReport
                            </b>
                            <a href="#downloadValidationReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadValidationReport()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="72" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:72</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getReport"></a>
                        <span class="name">
                            <b>
                            getReport
                            </b>
                            <a href="#getReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getReport()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="78" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:78</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="importRegister"></a>
                        <span class="name">
                            <b>
                            importRegister
                            </b>
                            <a href="#importRegister"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>importRegister()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="94" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:94</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:47</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isValid"></a>
                        <span class="name">
                            <b>
                            isValid
                            </b>
                            <a href="#isValid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isValid()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="87" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:87</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="resetResult"></a>
                        <span class="name">
                            <b>
                            resetResult
                            </b>
                            <a href="#resetResult"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>resetResult()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:51</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setResult"></a>
                        <span class="name">
                            <b>
                            setResult
                            </b>
                            <a href="#setResult"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>setResult(result: <a href="../classes/RegisterUploadResult.html">RegisterUploadResult</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:55</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>result</td>
                                                        <td>
                                                                    <code><a href="../classes/RegisterUploadResult.html" target="_self" >RegisterUploadResult</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataSource"></a>
                        <span class="name">
                            <b>
                            dataSource
                            </b>
                            <a href="#dataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>dataSource:     <code><a href="../classes/DataSourceFromResult.html" target="_self" >DataSourceFromResult</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DataSourceFromResult.html" target="_self" >DataSourceFromResult</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumns"></a>
                        <span class="name">
                            <b>
                            displayedColumns
                            </b>
                            <a href="#displayedColumns"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>displayedColumns:     <code>[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[&quot;fileName&quot;, &quot;emitter&quot;, &quot;emissionDate&quot;, &quot;voterCount&quot;, &quot;doiCount&quot;, &quot;countingCircleCount&quot;,
    &quot;detailedReport&quot;]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="result"></a>
                        <span class="name">
                            <b>
                            result
                            </b>
                            <a href="#result"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>result:     <code><a href="../classes/RegisterUploadResult.html" target="_self" >RegisterUploadResult</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/RegisterUploadResult.html" target="_self" >RegisterUploadResult</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInput"></a>
                        <span class="name">
                            <b>
                            uploadInput
                            </b>
                            <a href="#uploadInput"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadInput:     <code><a href="../classes/UploadInput.html" target="_self" >UploadInputComponent</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/UploadInput.html" target="_self" >UploadInputComponent</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(UploadInputComponent)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validated"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            validated
                            </b>
                            <a href="#validated"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>validated:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadUrl"></a>
                        <span class="name"><b>uploadUrl</b><a href="#uploadUrl"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>uploadUrl()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/operation/voting-material/register/register-upload/register-upload.component.ts:43</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, ViewChild } from &#x27;@angular/core&#x27;;
import { MatSnackBar } from &#x27;@angular/material&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { FileService } from &#x27;../../../../core/service/file-service/file-service&#x27;;
import { DataSource } from &#x27;@angular/cdk/collections&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { Operation } from &#x27;../../../model/operation&#x27;;
import { RegisterUploadResult } from &#x27;../model/register-upload-result&#x27;;
import { RegisterService } from &#x27;../services/register.service&#x27;;
import { OperationManagementService } from &#x27;../../../service/operation-managment.service&#x27;;
import { of } from &#x27;rxjs/observable/of&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../../../core/confirm-before-quit&#x27;;
import { UploadInputComponent } from &#x27;../../../../shared/upload-input/upload-input.component&#x27;;


@Component({
  selector: &#x27;register-upload&#x27;,
  templateUrl: &#x27;./register-upload.component.html&#x27;,
  styleUrls: [&#x27;./register-upload.component.scss&#x27;]
})
export class RegisterUploadComponent implements ConfirmBeforeQuit {
  result: RegisterUploadResult;

  dataSource: DataSourceFromResult;
  displayedColumns &#x3D; [&quot;fileName&quot;, &quot;emitter&quot;, &quot;emissionDate&quot;, &quot;voterCount&quot;, &quot;doiCount&quot;, &quot;countingCircleCount&quot;,
    &quot;detailedReport&quot;];
  @Input()
  operation: Operation;
  @ViewChild(UploadInputComponent)
  uploadInput: UploadInputComponent;
  private validated &#x3D; false;

  constructor(private route: ActivatedRoute,
              private registerService: RegisterService,
              private snackBar: MatSnackBar,
              private translateService: TranslateService,
              private operationManagementService: OperationManagementService,
              private router: Router,
              private fileService: FileService) {
  }

  get uploadUrl(): string {
    return &#x60;${this.registerService.serviceUrl}/${this.operation.id}/upload&#x60;;
  }

  isFormModified(): boolean {
    return this.uploadInput.isFormModified() || this.isValid() &amp;&amp; !this.validated;
  }

  resetResult() {
    this.result &#x3D; undefined;
  }

  setResult(result: RegisterUploadResult) {
    this.result &#x3D; result;
    this.dataSource &#x3D; new DataSourceFromResult(this.result);
  }

  downloadDuplicates() {
    this.download(&quot;duplicate.csv&quot;,
      this.fileService.generateCsvFromFlatObject(this.result.duplicates,
        &quot;voting-material.register.upload.errors.duplicate.csv.header&quot;));
  }

  downloadUndefinedDois() {
    this.download(&quot;voters-without-doi.csv&quot;,
      this.fileService.generateCsvFromFlatObject(this.result.undefinedDois,
        &quot;voting-material.register.upload.errors.undefined-doi.csv.header&quot;));
  }

  downloadValidationReport() {
    this.download(&quot;validationError.csv&quot;,
      this.fileService.generateCsvFromFlatObject(this.result.validationErrors,
        &quot;voting-material.register.upload.errors.schema-validation.csv.header&quot;));
  }

  getReport() {
    this.fileService.downloadFile(&quot;report.pdf&quot;, this.result.detailedReport, true);
  }


  download(fileName: string, content: string) {
    this.fileService.downloadFile(fileName, content);
  }

  isValid() {
    return this.result &amp;&amp;
           this.result.validationErrors.length &#x3D;&#x3D; 0 &amp;&amp;
           this.result.duplicates.length &#x3D;&#x3D; 0 &amp;&amp;
           this.result.undefinedDois.length &#x3D;&#x3D; 0;
  }

  importRegister() {
    this.registerService.validateUpload(this.result.messageUniqueId, this.operation.id)
      .subscribe(() &#x3D;&gt; {
          this.snackBar.open(
            this.translateService.instant(&#x27;voting-material.register.upload.upload-succeed&#x27;), &#x27;&#x27;, {
              duration: 5000
            });
          this.operationManagementService.shouldUpdateStatus();
          this.validated &#x3D; true
          this.router.navigate([&quot;..&quot;], {relativeTo: this.route});
        }
      );

  }

  cancelImport() {
    this.router.navigate([&quot;..&quot;], {relativeTo: this.route});
  }
}


class DataSourceFromResult extends DataSource&lt;any&gt; {

  constructor(private data: RegisterUploadResult) {
    super();
  }

  connect(): Observable&lt;any[]&gt; {
    return of([this.data]);
  }

  disconnect() {
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;registerUpload&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{ &quot;voting-material.register.title&quot; | translate }}&lt;/mat-card-title&gt;
    &lt;mat-card-subtitle&gt;{{ &quot;voting-material.register.upload.subtitle&quot; | translate:operation }}&lt;/mat-card-subtitle&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content fxLayout&#x3D;&quot;column&quot; class&#x3D;&quot;no-padding&quot;&gt;

    &lt;div class&#x3D;&quot;mat-card-button-toolbar&quot;&gt;
      &lt;upload-input [uploadUrl]&#x3D;&quot;uploadUrl&quot;
                    fileAccept&#x3D;&quot;.xml&quot;
                    uploadIcon&#x3D;&quot;search&quot;
                    uploadText&#x3D;&quot;voting-material.register.upload.actions.preview&quot;
                    progressText&#x3D;&quot;global.upload-progress&quot;
                    (uploadStarted)&#x3D;&quot;resetResult()&quot;
                    (uploadDone)&#x3D;&quot;setResult($event)&quot;&gt;
      &lt;/upload-input&gt;

      &lt;div
        *ngIf&#x3D;&quot;result &amp;&amp; (result.validationErrors.length &gt; 0 || result.duplicates.length &gt; 0 || result.undefinedDois.length &gt; 0)&quot;&gt;
        &lt;div class&#x3D;&quot;error-title&quot; fxLayout fxLayoutGap&#x3D;&quot;1rem&quot;&gt;
          &lt;mat-icon&gt;warning&lt;/mat-icon&gt;
          &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &#x27;voting-material.register.upload.errors.title&#x27; | translate:result }}&lt;/span&gt;
        &lt;/div&gt;

        &lt;div *ngIf&#x3D;&quot;result &amp;&amp; result.validationErrors.length &gt; 0&quot; id&#x3D;&quot;validationErrors&quot;&gt;
          &lt;mat-divider&gt;&lt;/mat-divider&gt;
          &lt;div fxLayout fxLayoutGap&#x3D;&quot;2.5rem&quot; class&#x3D;&quot;upload-error&quot;&gt;
            &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot; class&#x3D;&quot;error-icon&quot;&gt;playlist_add_check&lt;/mat-icon&gt;
            &lt;div fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;0.5rem&quot; fxFlex&#x3D;&quot;1 1 auto&quot;&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.schema-validation.line1&quot; | translate }}&lt;/span&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.schema-validation.line2&quot; | translate }}&lt;/span&gt;
            &lt;/div&gt;
            &lt;button mat-button color&#x3D;&quot;primary&quot;
                    id&#x3D;&quot;validationErrorsDownloadButton&quot;
                    fxFlexAlign&#x3D;&quot;center&quot;
                    fxFlex&#x3D;&quot;0 0 34rem&quot;
                    (click)&#x3D;&quot;downloadValidationReport()&quot;&gt;
              &lt;mat-icon&gt;file_download&lt;/mat-icon&gt;&amp;nbsp;{{ &quot;global.actions.error-report-download&quot; | translate | uppercase }}
            &lt;/button&gt;
          &lt;/div&gt;
        &lt;/div&gt;

        &lt;div *ngIf&#x3D;&quot;result &amp;&amp; result.duplicates.length &gt; 0&quot; id&#x3D;&quot;duplicateErrors&quot;&gt;
          &lt;mat-divider&gt;&lt;/mat-divider&gt;
          &lt;div fxLayout fxLayoutGap&#x3D;&quot;2.5rem&quot; class&#x3D;&quot;upload-error&quot;&gt;
            &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot; class&#x3D;&quot;error-icon&quot;&gt;group&lt;/mat-icon&gt;
            &lt;div fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;0.5rem&quot; fxFlex&#x3D;&quot;1 1 auto&quot;&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.duplicate.line1&quot; | translate }}&lt;/span&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.duplicate.line2&quot; | translate }}&lt;/span&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.duplicate.line3&quot; | translate }}&lt;/span&gt;
            &lt;/div&gt;
            &lt;button mat-button color&#x3D;&quot;primary&quot;
                    id&#x3D;&quot;duplicateErrorsDownloadButton&quot;
                    fxFlexAlign&#x3D;&quot;center&quot;
                    fxFlex&#x3D;&quot;0 0 34rem&quot;
                    (click)&#x3D;&quot;downloadDuplicates()&quot;&gt;
              &lt;mat-icon&gt;file_download&lt;/mat-icon&gt;&amp;nbsp;{{ &quot;voting-material.register.upload.actions.download-voters&quot; |
              translate | uppercase }}
            &lt;/button&gt;
          &lt;/div&gt;
        &lt;/div&gt;

        &lt;div *ngIf&#x3D;&quot;result &amp;&amp; result.undefinedDois.length &gt; 0&quot; id&#x3D;&quot;undefinedDoiErrors&quot;&gt;
          &lt;mat-divider&gt;&lt;/mat-divider&gt;
          &lt;div fxLayout fxLayoutGap&#x3D;&quot;2.5rem&quot; class&#x3D;&quot;upload-error&quot;&gt;
            &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot; class&#x3D;&quot;error-icon&quot;&gt;verified_user&lt;/mat-icon&gt;
            &lt;div fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;0.5rem&quot; fxFlex&#x3D;&quot;1 1 auto&quot;&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.undefined-doi.line1&quot; | translate }}&lt;/span&gt;
              &lt;span&gt;{{ &quot;voting-material.register.upload.errors.undefined-doi.line2&quot; | translate }}&lt;/span&gt;
            &lt;/div&gt;
            &lt;button mat-button color&#x3D;&quot;primary&quot;
                    id&#x3D;&quot;undefinedDoiErrorsDownloadButton&quot;
                    fxFlexAlign&#x3D;&quot;center&quot;
                    fxFlex&#x3D;&quot;0 0 34rem&quot;
                    (click)&#x3D;&quot;downloadUndefinedDois()&quot;&gt;
              &lt;mat-icon&gt;file_download&lt;/mat-icon&gt;&amp;nbsp;{{ &quot;voting-material.register.upload.actions.download-voters&quot; |
              translate | uppercase }}
            &lt;/button&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;

    &lt;div *ngIf&#x3D;&quot;isValid()&quot; id&#x3D;&quot;registerReport&quot;&gt;
      &lt;mat-card-title&gt;{{ &#x27;voting-material.register.upload.upload-valid-title&#x27; | translate:operation }}&lt;/mat-card-title&gt;
      &lt;mat-table #table [dataSource]&#x3D;&quot;dataSource&quot; matSort id&#x3D;&quot;registerReportTable&quot;&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;fileName&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.file&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.fileName}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;emitter&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.emitter&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.emitter}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;emissionDate&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.emission-date&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.emissionDate | date:&#x27;dd.MM.yyyy&#x27;}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;voterCount&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.voter-count&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.voterCount}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;doiCount&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.doi-count&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.doiCount}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;countingCircleCount&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;voting-material.register.grid.header.counting-circle-count&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.countingCircleCount}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;detailedReport&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;voting-material.register.grid.header.detailed-report&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;button mat-icon-button
                    color&#x3D;&quot;primary&quot;
                    (click)&#x3D;&quot;getReport()&quot;&gt;
              &lt;mat-icon&gt;search&lt;/mat-icon&gt;
            &lt;/button&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;displayedColumns&quot;&gt;&lt;/mat-header-row&gt;
        &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: displayedColumns;&quot;&gt;&lt;/mat-row&gt;
      &lt;/mat-table&gt;
    &lt;/div&gt;

    &lt;div class&#x3D;&quot;mat-card-button-toolbar&quot;
         fxLayout fxLayoutAlign&#x3D;&quot;end&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
      &lt;button mat-button
              id&#x3D;&quot;cancelButton&quot;
              (click)&#x3D;&quot;cancelImport()&quot;&gt;
        {{ &quot;global.actions.cancel&quot; | translate | uppercase }}
      &lt;/button&gt;
      &lt;button *ngIf&#x3D;&quot;isValid()&quot; mat-raised-button color&#x3D;&quot;primary&quot;
              id&#x3D;&quot;validateImport&quot;
              (click)&#x3D;&quot;importRegister()&quot;&gt;
        {{ &quot;global.actions.import&quot; | translate | uppercase }}
      &lt;/button&gt;

    &lt;/div&gt;

  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;



</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./register-upload.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.error-title {
  font-size: 2rem;
}

.error-icon {
  font-size: 3.4rem;
}

.upload-error {
  padding: 1.6rem;
}

.mat-column-fileName {
  flex: 1 0 10rem;
}

.mat-column-uploader {
  flex: 0 0 10rem;
}

.mat-column-uploadDate {
  flex: 0 0 8rem;
}

.mat-column-emitter {
  flex: 0 0 10rem;
}

.mat-column-emissionDate {
  flex: 0 0 8rem;
}

.mat-column-voterCount {
  flex: 0 0 10rem;
}

.mat-column-doiCount {
  flex: 0 0 10rem;
}

.mat-column-countingCircleCount {
  flex: 0 0 11rem;
}

.mat-column-detailedReport {
  flex: 0 0 7rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="registerUpload">  <mat-card-header>    <mat-card-title>{{ "voting-material.register.title" | translate }}</mat-card-title>    <mat-card-subtitle>{{ "voting-material.register.upload.subtitle" | translate:operation }}</mat-card-subtitle>  </mat-card-header>  <mat-card-content fxLayout="column" class="no-padding">    <div class="mat-card-button-toolbar">      <upload-input [uploadUrl]="uploadUrl"                    fileAccept=".xml"                    uploadIcon="search"                    uploadText="voting-material.register.upload.actions.preview"                    progressText="global.upload-progress"                    (uploadStarted)="resetResult()"                    (uploadDone)="setResult($event)">      </upload-input>      <div        *ngIf="result && (result.validationErrors.length > 0 || result.duplicates.length > 0 || result.undefinedDois.length > 0)">        <div class="error-title" fxLayout fxLayoutGap="1rem">          <mat-icon>warning</mat-icon>          <span fxFlexAlign="center">{{ \'voting-material.register.upload.errors.title\' | translate:result }}</span>        </div>        <div *ngIf="result && result.validationErrors.length > 0" id="validationErrors">          <mat-divider></mat-divider>          <div fxLayout fxLayoutGap="2.5rem" class="upload-error">            <mat-icon fxFlexAlign="center" class="error-icon">playlist_add_check</mat-icon>            <div fxLayout="column" fxLayoutGap="0.5rem" fxFlex="1 1 auto">              <span>{{ "voting-material.register.upload.errors.schema-validation.line1" | translate }}</span>              <span>{{ "voting-material.register.upload.errors.schema-validation.line2" | translate }}</span>            </div>            <button mat-button color="primary"                    id="validationErrorsDownloadButton"                    fxFlexAlign="center"                    fxFlex="0 0 34rem"                    (click)="downloadValidationReport()">              <mat-icon>file_download</mat-icon>&nbsp;{{ "global.actions.error-report-download" | translate | uppercase }}            </button>          </div>        </div>        <div *ngIf="result && result.duplicates.length > 0" id="duplicateErrors">          <mat-divider></mat-divider>          <div fxLayout fxLayoutGap="2.5rem" class="upload-error">            <mat-icon fxFlexAlign="center" class="error-icon">group</mat-icon>            <div fxLayout="column" fxLayoutGap="0.5rem" fxFlex="1 1 auto">              <span>{{ "voting-material.register.upload.errors.duplicate.line1" | translate }}</span>              <span>{{ "voting-material.register.upload.errors.duplicate.line2" | translate }}</span>              <span>{{ "voting-material.register.upload.errors.duplicate.line3" | translate }}</span>            </div>            <button mat-button color="primary"                    id="duplicateErrorsDownloadButton"                    fxFlexAlign="center"                    fxFlex="0 0 34rem"                    (click)="downloadDuplicates()">              <mat-icon>file_download</mat-icon>&nbsp;{{ "voting-material.register.upload.actions.download-voters" |              translate | uppercase }}            </button>          </div>        </div>        <div *ngIf="result && result.undefinedDois.length > 0" id="undefinedDoiErrors">          <mat-divider></mat-divider>          <div fxLayout fxLayoutGap="2.5rem" class="upload-error">            <mat-icon fxFlexAlign="center" class="error-icon">verified_user</mat-icon>            <div fxLayout="column" fxLayoutGap="0.5rem" fxFlex="1 1 auto">              <span>{{ "voting-material.register.upload.errors.undefined-doi.line1" | translate }}</span>              <span>{{ "voting-material.register.upload.errors.undefined-doi.line2" | translate }}</span>            </div>            <button mat-button color="primary"                    id="undefinedDoiErrorsDownloadButton"                    fxFlexAlign="center"                    fxFlex="0 0 34rem"                    (click)="downloadUndefinedDois()">              <mat-icon>file_download</mat-icon>&nbsp;{{ "voting-material.register.upload.actions.download-voters" |              translate | uppercase }}            </button>          </div>        </div>      </div>    </div>    <div *ngIf="isValid()" id="registerReport">      <mat-card-title>{{ \'voting-material.register.upload.upload-valid-title\' | translate:operation }}</mat-card-title>      <mat-table #table [dataSource]="dataSource" matSort id="registerReportTable">        <ng-container matColumnDef="fileName">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.file" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.fileName}}</mat-cell>        </ng-container>        <ng-container matColumnDef="emitter">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.emitter" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.emitter}}</mat-cell>        </ng-container>        <ng-container matColumnDef="emissionDate">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.emission-date" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.emissionDate | date:\'dd.MM.yyyy\'}}</mat-cell>        </ng-container>        <ng-container matColumnDef="voterCount">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.voter-count" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.voterCount}}</mat-cell>        </ng-container>        <ng-container matColumnDef="doiCount">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.doi-count" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.doiCount}}</mat-cell>        </ng-container>        <ng-container matColumnDef="countingCircleCount">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"voting-material.register.grid.header.counting-circle-count" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.countingCircleCount}}</mat-cell>        </ng-container>        <ng-container matColumnDef="detailedReport">          <mat-header-cell *matHeaderCellDef> {{"voting-material.register.grid.header.detailed-report" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <button mat-icon-button                    color="primary"                    (click)="getReport()">              <mat-icon>search</mat-icon>            </button>          </mat-cell>        </ng-container>        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>      </mat-table>    </div>    <div class="mat-card-button-toolbar"         fxLayout fxLayoutAlign="end" fxLayoutGap="2.5rem">      <button mat-button              id="cancelButton"              (click)="cancelImport()">        {{ "global.actions.cancel" | translate | uppercase }}      </button>      <button *ngIf="isValid()" mat-raised-button color="primary"              id="validateImport"              (click)="importRegister()">        {{ "global.actions.import" | translate | uppercase }}      </button>    </div>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'RegisterUploadComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterUploadComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
